파이어폭스 부가 기능 강제 호환 하시나요?

Firefox 확장 기능(Extensions)에 대한 정보 및 질문과 답변을 하는 게시판입니다. update.mozilla.or.kr 를 참고하세요
댓글 게시
네이드

파이어폭스 부가 기능 강제 호환 하시나요?

게시물 작성자 네이드 » 2011 01 29 13:17 36

파이어폭스 버전이 업데이트 되면..
항상 몇 가지의 부가기능이 아직 호환이 안되는 경우가 있는데..
다들 강제 호환을 하여 사용하시는지 궁금합니다...
방법이야 아는데 다들 그냥 사용 안하시는지 ..
강제호환해서 사용하시는지 그냥 궁금해서 남겨봅니다..

drmozilla
서포터즈
서포터즈
게시물: 126
참여됨: 2011 01 25 14:47 05
연락:

Re: 베타4의 부가기능 강제 호환

게시물 작성자 drmozilla » 2011 01 29 14:59 05

전 나이틀리 테스터 툴을 사용 합니다.

Nightly Tester Tools 3.1
https://addons.mozilla.org/ko/firefox/a ... ter-tools/

Nightly Tester Tools Lite 0.2.2
https://addons.mozilla.org/ko/firefox/a ... ools-lite/

설치 후에 아래와 같이 체크해 주면 부가 기능이 모두 강제 호환됩니다.

https://static.addons.mozilla.net/img/u ... 1291253184

ㅎㅎ

Re: 베타4의 부가기능 강제 호환

게시물 작성자 ㅎㅎ » 2011 01 29 18:50 49

저두 나이틀리 테스터툴로 강제적용해서 써요~

전문 사용자라면 매뉴얼 하게 하는 방법도 있습니다.
파폭 주소표시줄에 "about:config" 를 입력하고 설정들이 보여지면,
우클릭을 한 뒤 [새로 만들기] - [연산자] 를 실행합니다.

새 연산자 값에 아래의 이름을 입력해 주세요.

코드: 모두 선택

extensions.checkCompatibility.4.0
이 값을 true로 하고 재시작하면 모든 부가 기능 강제호환이 완료됩니다.

단, 동작하지 않는 부가 기능이 문제를 일으킬 수 있으니까 잘 확인하시구요.
문제가 없으면 그냥 쓰셔도 무방합니다.

부가 기능 개발자들이 파이어폭스 버전 업그레이드때마다 호환성 체크해서
확인을 해줘야 하는데 게으른 분들이 많으셔서...

miLRain
해커
해커
게시물: 1053
참여됨: 2004 11 30 18:33 15
연락:

Re: 파이어폭스 부가 기능 강제 호환 하시나요?

게시물 작성자 miLRain » 2011 03 25 14:22 36

저는 업데이트 되기를 기다리거나 업데이트 안되면 포기하네요, 지금은.
예전에는 툴이나 install.rdf파일을 수정해서 사용하곤했는데 파이어폭스가 메이져업데이트되면 툴, rdf파일수정해도 정상작동 안하는 경우가 있는거같아서 업데이트 안되면 포기하기로 했습니다.
하지만 파이어폭스 3.5이후로는 사용하는 확장기능들은 그래도 꾸준히 업데이트되어서...
------------------------------------------------------------------------------
소네트116-윌리엄 세익스피어
변화에 변심않고/사랑만은 견디느니//폭풍이 몰아쳐도/사랑만은 견디느니//입술빛 퇴색해도/사랑많은 견디느니//이 생각 틀렸다면/사랑하지않으리.

minsxx
도우미
도우미
게시물: 250
참여됨: 2008 05 18 14:31 07
연락:

Re: 파이어폭스 부가 기능 강제 호환 하시나요?

게시물 작성자 minsxx » 2011 03 25 15:03 01

저는 제대로 작동하면 extensions.checkCompatibility 입력해서 사용하곤하죠.
최신 버전을 항상 좋아라해서... ^^

김가에요

Re: 파이어폭스 부가 기능 강제 호환 하시나요?

게시물 작성자 김가에요 » 2011 04 04 21:08 08

네이드 씀:파이어폭스 버전이 업데이트 되면..
항상 몇 가지의 부가기능이 아직 호환이 안되는 경우가 있는데..
다들 강제 호환을 하여 사용하시는지 궁금합니다...
방법이야 아는데 다들 그냥 사용 안하시는지 ..
강제호환해서 사용하시는지 그냥 궁금해서 남겨봅니다..
저같은경우 scrollsearchEngine확장.. 요고하나 때문에 강제호환 씁니다.
꼭 필요하고 적응했는데 대체확장은 없고... 업뎃은 안되고
그럼 강제로라도 써야죠 :)

Seeker
서포터즈
서포터즈
게시물: 80
참여됨: 2008 06 13 16:16 14
연락:

Re: 베타4의 부가기능 강제 호환

게시물 작성자 Seeker » 2011 04 08 21:10 49

정리해보겠습니다.

#1. Add-on Compatibility Reporter
https://addons.mozilla.org/en-US/firefo ... -reporter/
* Mozilla 에서 직접 만든 듯?


#2. Nightly Tester Tools
https://addons.mozilla.org/en-US/firefo ... ter-tools/


#3. extensions.checkCompatibility
about:config 에서
우클릭 -> 새로 만들기 -> 연산자
연산자 이름을

코드: 모두 선택

extensions.checkCompatibility.4.0
로 하고 값을 false 로 하면 강제 호환이 됩니다.


#4. 부가기능 설치파일을 직접 수정하기
xpi 파일을 다운받은 뒤 압축 해제합니다.
* 만약 압축프로그램이 다루지 못한다면 확장자를 zip 으로 수정하고 압축 해제하세요.

install.rdf 파일을 텍스트 편집기로 열고 <em:maxVersion> 을 찾습니다.

코드: 모두 선택

<em:maxVersion>3.6.*</em:maxVersion>
* 만약 이런 부분이 여러개 있다면 Firefox 라고 표시된 곳에서 찾으세요.

이 값을 4.0.* 로 바꾸세요. 필요하다면 4.* 처럼 더 큰 값으로 해도 됩니다.

코드: 모두 선택

<em:maxVersion>4.0.*</em:maxVersion>
다시 zip 으로 압축하고 확장자를 xpi 로 바꾼 뒤, 이 파일로 부가기능을 설치합니다.
부가기능 페이지에서 설치하거나 아니면 파일을 Firefox 창에 drop 하면 됩니다.

댓글 게시

누군가 접속

유저들이 이 포럼을 탐색중: 가입된 유저 없음 그리고 0 손님들